Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Pulling_Strategy_Adapter Class Reference

Forwards timeout events to the Reactive Pulling Strategy. More...

`#include <CEC_Reactive_Pulling_Strategy.h>`

Inheritance diagram for TAO_CEC_Pulling_Strategy_Adapter:

[legend]
Collaboration diagram for TAO_CEC_Pulling_Strategy_Adapter:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Pulling_Strategy_Adapter (TAO_CEC_Reactive_Pulling_Strategy *adaptee)
| Constructor.
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)
## Private Attributes
TAO_CEC_Reactive_Pulling_Strategy * | adaptee_
| The adapted object.

## Detailed Description

Forwards timeout events to the Reactive Pulling Strategy.

The Reactive Pulling Strategy strategy uses the reactor to periodically wakeup and try top pull events from each PullSupplier connected to the EventChannel.

## Constructor & Destructor Documentation

TAO_CEC_Pulling_Strategy_Adapter::TAO_CEC_Pulling_Strategy_Adapter | ( | TAO_CEC_Reactive_Pulling_Strategy * | adaptee | ) |

| Constructor.

## Member Function Documentation

int TAO_CEC_Pulling_Strategy_Adapter::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

TAO_CEC_Reactive_Pulling_Strategy* TAO_CEC_Pulling_Strategy_Adapter::adaptee_`[private]`

| The adapted object.

The documentation for this class was generated from the following files:

- CEC_Reactive_Pulling_Strategy.h
- CEC_Reactive_Pulling_Strategy.cpp